Bug 1067276 - (CVE-2014-1958) CVE-2014-1958 ImageMagick: buffer overflow flaw when handling PSD images that use RLE encoding
CVE-2014-1958 ImageMagick: buffer overflow flaw when handling PSD images that...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131114,repor...
: Security
Depends On: 1067277
Blocks: 1064101
  Show dependency treegraph
 
Reported: 2014-02-20 00:21 EST by Murray McAllister
Modified: 2015-01-04 17:38 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 09:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-02-20 00:21:09 EST
A buffer overflow flaw was found in the way ImageMagick handled PSD images that use RLE encoding. An attacker could create a malicious PSD image file that, when opened in ImageMagick, would cause ImageMagick to crash or, potentially, execute arbitrary code with the privileges of the user running ImageMagick.

Upstream fix: http://trac.imagemagick.org/changeset/14801

References:
http://secunia.com/advisories/56844/
https://bugzilla.redhat.com/show_bug.cgi?id=1064098#c4
Comment 1 Murray McAllister 2014-02-20 00:23:22 EST
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1067277]
Comment 2 Pavel Alexeev 2014-03-03 04:13:30 EST
Reported upstream: http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25128
Comment 3 Murray McAllister 2014-03-03 18:43:48 EST
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #2)
> Reported upstream:
> http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25128

Thanks!
Comment 6 Stefan Cornelius 2014-04-01 09:31:30 EDT
Introduced in version 6.8.8-1 with commit 14043.

Statement:

Not vulnerable. This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.